Subject: Re: bug#25247: 26.0.50; Concurrency crashes with XLib

From: Tino Calancha <[email-masked]>
Date: Fri, 30 Dec 2016 22:45:56 +0900

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 30 Dec 2016 10:37:12 +0200
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> 
>> I will try to push a change that moves global lock acquiring into
>> xgselect.c later today.
>
> Done.  Tino, could you please try the latest master?
It looks stable after your patch.  I have tried my test even with
5000 threads and it works fine.

Before Eli's patch i tried Ken's patch: it became more stable; it takes
more time to make it fail but i got 2 crashes (with 5000 and 500
threads); i also got Emacs freeze with a 500 threads test.
I have saved the full backtraces of both crashes.
If you need them let me know.